# studio::ModMirror Class Reference

`#include <mod_mirror.h>`

Inheritance diagram for studio::ModMirror:

List of all members.

## Public Member Functions

virtual | ~ModMirror ()

## Protected Member Functions

virtual bool | start_vfunc ()
virtual bool | stop_vfunc ()

## Friends

class | State_Mirror

## Constructor & Destructor Documentation

virtual studio::ModMirror::~ModMirror | ( |  | ) | `[inline, virtual]`

References studio::Module::stop().

## Member Function Documentation

bool studio::ModMirror::start_vfunc | ( |  | ) | `[protected, virtual]`

Implements studio::Module.

References studio::StateManager::add_state(), studio::App::get_state_manager(), and studio::state_mirror.

bool studio::ModMirror::stop_vfunc | ( |  | ) | `[protected, virtual]`

Implements studio::Module.

## Friends And Related Function Documentation

friend class State_Mirror`[friend]`

The documentation for this class was generated from the following files:

- mod_mirror.h
- mod_mirror.cpp